package com.adealink.weparty.playmate.findpartner.data

import android.os.Parcelable
import kotlinx.parcelize.Parcelize


enum class FindPartnerPage {
    SELECT_CATEGORY,
    SELECT_OTHER
}



enum class Option(val type: String) {
    GENDER("gender"),
    AGE("age"),
    LOCATION("location"),
    EVALUATE("evaluate"),
    PRICE("price"),
}

@Parcelize
data class OptionData(
    val option: String?,
    val value: String?,

    val key: String? = null,
    var selected: Boolean = false
) : Parcelable

data class OptionItemData(
    val data: OptionData
)